#include <QPainter>
#include "rotaterwidget.h"

RotaterWidget::RotaterWidget(QWidget * parent) : QWidget(parent)
{
    this->angle = 0;
}

void RotaterWidget::setAngle(int angle)
{
    this->angle = angle;
    update();
}

void RotaterWidget::paintEvent(QPaintEvent *)
{
    QPainter painter(this);
    painter.setBrush(Qt::black);
    painter.translate(width() / 2.0, height() / 2.0);
    painter.rotate(this->angle);

    painter.drawRect(QRect(-10, -80, 20, 160));
}

